// Copyright 2007 by Intuit Inc.
// All rights reserved
// Usage governed by the QuickBooks SDK Developer's License Agreement

using System;
using System.Collections.Generic;
using System.Text;
using Interop.QBFC10;

namespace Intuit_QBFC1.Subscription_Framework.Data
{
    public class TxnEvent : IEventBase
    {
        private ENTxnEventType[] txnEventType = null;
        private ENTxnEventOperation[] txnEventOperation = null;

        public TxnEvent(ENTxnEventType[] txnEventType, ENTxnEventOperation[] txnEventOperation)
        {
            this.txnEventType = txnEventType;
            this.txnEventOperation = txnEventOperation;
        }

        public ENTxnEventType[] EventType
        {
            get
            {
                return txnEventType;
            }
            set
            {
                txnEventType = value;
            }
        }

        public ENTxnEventOperation[] EventOperation
        {
            get
            {
                return txnEventOperation;
            }
            set
            {
                txnEventOperation = value;
            }
        }
    }
}
