﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace MaxVision_Quickbooks_Manager
{
    public static class GridUtilities
    {
        public static void AutofitColumns(UltraGrid ultraGrid, int maxColumnWidth)
        {
            ultraGrid.Rows.Band.PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.AllRowsInBand, true);

            foreach (UltraGridColumn ultraGridColumn in ultraGrid.Rows.Band.Columns)
            {
                if (ultraGridColumn.Width > maxColumnWidth)
                    ultraGridColumn.Width = maxColumnWidth;
            }
        }
    }
}
