﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MaxVision_Quickbooks_Manager
{
    public static class MaxVision_Utilities
    {
        public static DateTime GetMonthStartDate(DateTime inputDate)
        {
            return DateTime.Parse( inputDate.Month + @"/1/" + inputDate.Year);
        }

        internal static int WorkDaysInMonth(DateTime inputDate)
        {
            int workDaysInMonth = 0;
            DateTime loopDate = GetMonthStartDate(inputDate); 

            for (int dayIndex = 0; dayIndex < DateTime.DaysInMonth(inputDate.Year, inputDate.Month); dayIndex++)
            {
                DateTime testDate = loopDate.AddDays((double)dayIndex);

                if ((int)testDate.DayOfWeek > 0 && (int)testDate.DayOfWeek < 6)
                    workDaysInMonth++;
            }

            return workDaysInMonth;
        }
    }
}
